view scripts/config-headers.sh @ 546:e48cc313ea31

l1_rf12.h AFC params for FC/OM targets: put in numbers for our VCXO
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 17 Nov 2018 07:58:41 +0000
parents fd8227e3047d
children 92dbfa906f66
line wrap: on
line source

#!/bin/sh

if [ $# != 2 ]
then
	echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
	exit 1
fi

if [ -z "$TARGET" ]
then
	echo "Error: TARGET= must be passed via environment" 1>&2
	exit 1
fi

if [ -z "$BUILD_DIR" ]
then
	echo "Error: BUILD_DIR= must be passed via environment" 1>&2
	exit 1
fi

set -e

rm -rf $BUILD_DIR/config
cp -r cfg-headers/base $BUILD_DIR/config
cp cfg-headers/$1/* $BUILD_DIR/config
cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
cp targets/$TARGET.h $BUILD_DIR/config/fc-target.cfg